<style>
#trans_list .pagination {
	display: block;
	margin:	10px 0;
	overflow: hidden;
}
#trans_list .pagination > * { float: left; }
#trans_list .pagination > span {
	display: inline-block;
	padding: 4px 25px 4px 0;
	font-weight: bold;
	vertical-align: middle;
}
#trans_list .pagination ol {
	display: inline-block;
	margin: 0;
	padding: 0;
	overflow: hidden;
}
#trans_list .pagination ol li {
	float: left;
	display: inline-block;
	margin: 0 4px 0 0;
}
#trans_list .list table {
	width: 100%;
}
</style>

<div id="trans_list" class="panel col-lg-12">
	<div class="panel-heading"><i class="icon-list"></i> {l s='Transaction list' mod='firstdata'}</div>

	<div class="pagination bootstrap">
		<span>{l s='Page' mod='firstdata'}</span>
		<ol>
		{for $i=1 to $pagesNum}
			<li>
				<a href="{$baseLink}&page={$i}" class="btn btn-default {if $page == $i}active{/if}">{$i}</a>
			</li>
		{/for}
		</ol>
	</div>

	<div class="list">
		<table class="table">
			<thead>
			<tr>
				<th>{l s='ID' mod='firstdata'}</th>
				<th>{l s='Order Id' mod='firstdata'}</th>
				<th>{l s='Payment status' mod='firstdata'}</th>
				<th>{l s='Error' mod='firstdata'}</th>
				<th>{l s='Message' mod='firstdata'}</th>
				<th>{l s='FirstData TID' mod='firstdata'}</th>
				<th>{l s='Date add' mod='firstdata'}</th>
				<th>{l s='Date modify' mod='firstdata'}</th>
				<th>{l s='Date accept' mod='firstdata'}</th>
				<th>{l s='Date cancel' mod='firstdata'}</th>
				<th>{l s='Card' mod='firstdata'}</th>
				<th>{l s='Type' mod='firstdata'}</th>
				<th>{l s='Exp' mod='firstdata'}</th>
				<th>{l s='Holder' mod='firstdata'}</th>
			</tr>
			</thead>
			<tbody>
			{foreach from=$data item=record}
				<tr>
				{foreach from=$record key=field item=value}
					<td>
					{if $field == 'status'}
						{if isset($status[$value])}{$status[$value]}{else}{$value}{/if}
					{elseif $value && $value != '0000-00-00 00:00:00'}
						{$value}
					{else}
						--
					{/if}
					</td>
				{/foreach}
				</tr>
			{/foreach}
			</tbody>
		</table>
	</div>

	<div class="pagination bootstrap">
		<span>{l s='Page' mod='firstdata'}</span>
		<ol>
		{for $i=1 to $pagesNum}
			<li>
				<a href="{$baseLink}&page={$i}" class="btn btn-default {if $page == $i}active{/if}">{$i}</a>
			</li>
		{/for}
		</ol>
	</div>

<!--  	<div class="panel-footer">
		<form method="POST">
			<button class="btn btn-default" id="firstdata_refresh" type="submit" value="1" name="firstdata_refresh"><i class="process-icon-refresh"></i> {l s='Refresh' mod='firstdata'}</button>
		</form>
	</div>-->

</div>